<nz-header>
  <div class="header">
    <div class="header__left">
      <em *ngIf="!isMobile" class="trigger__icon" style="height: 64px"></em>
      <em *ngIf="isMobile" class="trigger__icon" nz-icon [nzType]="isCollapsed ? 'menu-unfold' : 'menu-fold'" (click)="clickEvent()"></em>
      <nz-input-group *ngIf="!isMobile" class="input-group bg__color__gray--input-light"
                      [nzPrefix]="prefixTemplateUser">
        <input class="input__search bg__color__gray--input-light" type="text" nz-input placeholder="Tìm kiếm"
               [(ngModel)]="searchValue"/>
      </nz-input-group>
    </div>
    <div class="header__right">
      <button *ngIf="isMobile" class="header__right__button header__right__button--search" nz-button
              (click)="showInputSearch('OPEN')"><img src="/assets/icon/header/header_search.png" alt=""></button>
      <button class="header__right__button header__right__button--language" nz-button (click)="changeLanguage()">
        <img [src]="langCurrent === 'vn' ? '/assets/icon/header/vi.png' : '/assets/icon/header/en.png'"
             alt="">
      </button>
      <button class="header__right__button header__right__button--chat" nz-button nzTooltipTitle="prompt text" nzTooltipPlacement="bottomLeft" nz-tooltip nzTooltipTrigger="click"><img
        src="/assets/icon/header/header_chat.png" alt=""></button>
      <!-- Thông báo -->
      <button class="header__right__button header__right__button--notify" nz-button (click)="showModalUpdate()">
        <img src="/assets/icon/header/header_notify.png" alt="">
        <span class="notify__number bg__color__alert--dark">{{ countNotifynotView }}</span>
      </button>
      <button nz-button nz-dropdown nzTrigger="click" [nzDropdownMenu]="user"
              class="header__right__button header__right__button--avt"><img src="/assets/icon/header/header_avt.jpg"
                                                                            alt=""></button>
    </div>
  </div>
  <ng-template #prefixTemplateUser><em nz-icon nzType="search"></em></ng-template>
  <ng-template #suffixTemplateUser><em nz-icon nzType="close" (click)="showInputSearch('CLOSE')"></em></ng-template>
  <nz-dropdown-menu #user="nzDropdownMenu">
    <ul nz-menu class="user__sign--menu">
      <li nz-menu-item class="user__sign--no-flex">
        <div class="user__sign--as"><span class="user__sign--span">{{'common.user.account'|translate}}:</span>{{currentUser?.username}}</div>
        <div class="user__sign--email"><span class="user__sign--span">{{'common.user.fullName'|translate}}:</span>{{currentUser?.fullName}}</div>
      </li>
      <li nz-menu-divider></li>
      <li nz-menu-item (click)='openPersonalInfo()'><em nz-icon nzType="user" nzTheme="outline"></em>
        <a class="user__sign--item user__sign--profile">
          {{'common.user.info'|translate}}
        </a>
      </li>
      <li nz-menu-item (click)='openUserProfile()'><em nz-icon nzType="security-scan" nzTheme="outline"></em>
        <a class="user__sign--item user__sign--profile">
          {{'common.user.profile'|translate}}
        </a>
      </li>
      <li nz-menu-item (click)='changePassword()'><em nz-icon nzType="safety-certificate" nzTheme="outline"></em>
        <a class="user__sign--item user__sign--pass">
          {{'common.user.changePassword'|translate}}
        </a>
      </li>
      <li nz-menu-divider></li>
      <li nz-menu-item (click)="logout()"><em nz-icon nzType="logout" nzTheme="outline"></em>
        <a class="user__sign--item user__sign--logout" >
          {{'common.user.logout'|translate}}
        </a>
      </li>
    </ul>
  </nz-dropdown-menu>
</nz-header>
<div *ngIf="isMobile && showSearch" class="header__search--mobile">
  <nz-input-group class="input-group input-group--mobile" [nzPrefix]="prefixTemplateUser"
                  [nzSuffix]="suffixTemplateUser">
    <input class="input__search input__search--mobile" type="text" nz-input placeholder="Tìm kiếm"
           [(ngModel)]="searchValue"/>
  </nz-input-group>
</div>
